{
  "env": {
    "browser": true,
    "es2021": true,
    "node": true
  },
  "extends": [
    "eslint:recommended",
    "plugin:react/recommended",
    "plugin:react-hooks/recommended",
    "plugin:prettier/recommended"
  ],
  "parserOptions": {
    "ecmaVersion": "latest",
    "sourceType": "module",
    "ecmaFeatures": {
      "jsx": true
    }
  },
  "settings": {
    "react": {
      "version": "detect"
    }
  },
  "rules": {
    "react/react-in-jsx-scope": "off",
    "react-hooks/exhaustive-deps": "off",
    "react/prop-types": "off",
    "react-hooks/set-state-in-effect": "off",
    "react-hooks/immutability": "off",
    "no-unused-vars": "error",
    "no-console": "off",
    "eqeqeq": ["error", "always"],
    "prefer-const": "warn",
    "no-var": "error"
  }
}
